File: .travis.yml

package info (click to toggle)
node-rechoir 0.6.2-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid, stretch
  • size: 224 kB
  • ctags: 16
  • sloc: xml: 5; makefile: 2; sh: 2
file content (24 lines) | stat: -rw-r--r-- 743 bytes parent folder | download | duplicates (3)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
sudo: false
language: node_js
node_js:
  - "0.10"
  - "0.12"
env:
  global:
    - REMOVE_DEPS=""
  matrix:
    - "CUSTOM_DEPS=coffee-script@~1.3"
    - "CUSTOM_DEPS=coffee-script@~1.5"
    - "CUSTOM_DEPS=coffee-script@~1.7"
    - "CUSTOM_DEPS=coffee-script@latest"
    - "CUSTOM_DEPS=iced-coffee-script@1.6.3-j"
    - "CUSTOM_DEPS=iced-coffee-script@latest"
    - "CUSTOM_DEPS=LiveScript@1.3.1 REMOVE_DEPS=livescript"
    - "CUSTOM_DEPS=typescript-require REMOVE_DEPS=typescript-register"
matrix:
  fast_finish: true
before_install:
  - "npm install -g npm" # needs the newest version of npm
before_script:
  - "[ \"${REMOVE_DEPS}\" == \"\" ] || npm rm $REMOVE_DEPS"
  - "npm install $CUSTOM_DEPS" # install a specific version of dependencies